Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -3353,291 +3420,292 @@
 string related functions	string related functions	sing_171.htm#SEC211	
 string type cast		sing_169.htm#SEC209	
-stripHNE		sing_1602.htm#SEC1678	
-sturm		sing_2033.htm#SEC2109	
-sturmha		sing_2035.htm#SEC2111	
-sturmhaseq		sing_2036.htm#SEC2112	
-sturmquery		sing_2011.htm#SEC2087	
-sturmseq		sing_2034.htm#SEC2110	
-submat		sing_1090.htm#SEC1166	
-subrInterred		sing_1006.htm#SEC1082	
-subset_sum01		sing_1954.htm#SEC2030	
-subset_sum02		sing_1955.htm#SEC2031	
+stripHNE		sing_1605.htm#SEC1681	
+sturm		sing_2036.htm#SEC2112	
+sturmha		sing_2038.htm#SEC2114	
+sturmhaseq		sing_2039.htm#SEC2115	
+sturmquery		sing_2014.htm#SEC2090	
+sturmseq		sing_2037.htm#SEC2113	
+submat		sing_1093.htm#SEC1169	
+subrInterred		sing_1008.htm#SEC1084	
+subset_sum01		sing_1957.htm#SEC2033	
+subset_sum02		sing_1958.htm#SEC2034	
 subst		sing_405.htm#SEC445	
-subst (plural)		sing_529.htm#SEC569	
-substitute		sing_1005.htm#SEC1081	
-sugarCrit, option		sing_364.htm#IDX164	
-sum		sing_949.htm#SEC1025	
-sum_of_powers		sing_2180.htm#SEC2256	
-sumlist		sing_1444.htm#SEC1520	
-super-commutative algebras	Graded commutative algebras (SCA)	sing_538.htm#SEC590	
-superCommutative		sing_769.htm#SEC821	
-super_increasing_knapsack	super_increasing_knapsack	sing_1966.htm#SEC2042	
-surf.lib		sing_1813.htm#SEC1889	
-surf_lib		sing_1813.htm#SEC1889	
-surfacesignature.lib	surfacesignature_lib	sing_1662.htm#SEC1738	
-surfacesignature_lib	surfacesignature_lib	sing_1662.htm#SEC1738	
+subst (plural)		sing_530.htm#SEC570	
+substitute		sing_1007.htm#SEC1083	
+sugarCrit, option		sing_364.htm#IDX169	
+sum		sing_951.htm#SEC1027	
+sum_of_powers		sing_2183.htm#SEC2259	
+sumlist		sing_1447.htm#SEC1523	
+super-commutative algebras	Graded commutative algebras (SCA)	sing_539.htm#SEC591	
+superCommutative		sing_771.htm#SEC823	
+super_increasing_knapsack	super_increasing_knapsack	sing_1969.htm#SEC2045	
+surf.lib		sing_1816.htm#SEC1892	
+surf_lib		sing_1816.htm#SEC1892	
+surfacesignature.lib	surfacesignature_lib	sing_1665.htm#SEC1741	
+surfacesignature_lib	surfacesignature_lib	sing_1665.htm#SEC1741	
 surfer		sing_1.htm#IDX8	
-surfer 		sing_1815.htm#SEC1891	
+surfer 		sing_1818.htm#SEC1894	
 surfex		sing_1.htm#IDX7	
-surfex.lib		sing_1816.htm#SEC1892	
-surfex_lib		sing_1816.htm#SEC1892	
+surfex.lib		sing_1819.htm#SEC1895	
+surfex_lib		sing_1819.htm#SEC1895	
 suspend		sing_401.htm#SEC441	
-swalk		sing_2401.htm#SEC2477	
-swalk.lib		sing_2400.htm#SEC2476	
-swalk_lib		sing_2400.htm#SEC2476	
-swap		sing_1531.htm#SEC1607	
-swap 		sing_2133.htm#IDX790	
+swalk		sing_2406.htm#SEC2482	
+swalk.lib		sing_2405.htm#SEC2481	
+swalk_lib		sing_2405.htm#SEC2481	
+swap		sing_1534.htm#SEC1610	
+swap 		sing_2136.htm#IDX797	
 switch	No case or switch statement	sing_460.htm#SEC500	
-syModStd		sing_1376.htm#SEC1452	
-symNsym		sing_2174.htm#SEC2250	
-sym_gauss		sing_1116.htm#SEC1192	
-symm		sing_2173.htm#SEC2249	
-symmStd		sing_1375.htm#SEC1451	
-symmat		sing_1091.htm#SEC1167	
-symmetric basis		sing_1108.htm#IDX445	
-symmetric power		sing_1110.htm#IDX447	
-symmetricBasis		sing_1108.htm#SEC1184	
-symmetricPower		sing_1110.htm#SEC1186	
-symmfunc		sing_2020.htm#SEC2096	
-symodstd.lib		sing_1370.htm#SEC1446	
-symodstd_lib		sing_1370.htm#SEC1446	
-symsignature		sing_2010.htm#SEC2086	
-syndrome		sing_1843.htm#SEC1919	
-sysBin		sing_1841.htm#SEC1917	
-sysCRHT		sing_1838.htm#SEC1914	
-sysCRHTMindist		sing_1839.htm#SEC1915	
-sysFL		sing_1854.htm#SEC1930	
-sysNewton		sing_1840.htm#SEC1916	
-sysQE		sing_1844.htm#SEC1920	
-sys_code		sing_1835.htm#SEC1911	
+syModStd		sing_1379.htm#SEC1455	
+symNsym		sing_2177.htm#SEC2253	
+sym_gauss		sing_1119.htm#SEC1195	
+symm		sing_2176.htm#SEC2252	
+symmStd		sing_1378.htm#SEC1454	
+symmat		sing_1094.htm#SEC1170	
+symmetric basis		sing_1111.htm#IDX452	
+symmetric power		sing_1113.htm#IDX454	
+symmetricBasis		sing_1111.htm#SEC1187	
+symmetricPower		sing_1113.htm#SEC1189	
+symmfunc		sing_2023.htm#SEC2099	
+symodstd.lib		sing_1373.htm#SEC1449	
+symodstd_lib		sing_1373.htm#SEC1449	
+symsignature		sing_2013.htm#SEC2089	
+syndrome		sing_1846.htm#SEC1922	
+sysBin		sing_1844.htm#SEC1920	
+sysCRHT		sing_1841.htm#SEC1917	
+sysCRHTMindist		sing_1842.htm#SEC1918	
+sysFL		sing_1857.htm#SEC1933	
+sysNewton		sing_1843.htm#SEC1919	
+sysQE		sing_1847.htm#SEC1923	
+sys_code		sing_1838.htm#SEC1914	
 system		sing_406.htm#SEC446	
-system, --		sing_406.htm#IDX265	
-system, --long_option_name		sing_406.htm#IDX268	
-system, --long_option_name=value		sing_406.htm#IDX270	
-system, HC		sing_406.htm#IDX208	
-system, LLL		sing_406.htm#IDX212	
-system, Singular		sing_406.htm#IDX246	
-system, SingularLib		sing_406.htm#IDX248	
-system, absFact		sing_406.htm#IDX184	
-system, blackbox		sing_406.htm#IDX185	
-system, bracket		sing_406.htm#IDX190	
-system, browsers		sing_406.htm#IDX189	
-system, btest		sing_406.htm#IDX192	
-system, complexNearZero		sing_406.htm#IDX193	
-system, contributors		sing_406.htm#IDX195	
-system, cpu		sing_406.htm#IDX197	
-system, cpu 		sing_406.htm#IDX264	
-system, denom_list		sing_406.htm#IDX199	
-system, eigenvals		sing_406.htm#IDX200	
-system, env		sing_406.htm#IDX201	
-system, freegb		sing_406.htm#IDX203	
-system, getPrecDigits		sing_406.htm#IDX206	
-system, getenv		sing_406.htm#IDX205	
-system, gmsnf		sing_406.htm#IDX207	
-system, hessenberg		sing_406.htm#IDX209	
-system, install		sing_406.htm#IDX211	
-system, nblocks		sing_406.htm#IDX215	
-system, newstruct		sing_406.htm#IDX216	
-system, opp		sing_406.htm#IDX217	
-system, oppose		sing_406.htm#IDX220	
-system, pcvBasis		sing_406.htm#IDX229	
-system, pcvCV2P		sing_406.htm#IDX227	
-system, pcvDim		sing_406.htm#IDX228	
-system, pcvLAddL		sing_406.htm#IDX223	
-system, pcvMinDeg		sing_406.htm#IDX225	
-system, pcvP2CV		sing_406.htm#IDX226	
-system, pcvPMulL		sing_406.htm#IDX224	
-system, pid		sing_406.htm#IDX231	
-system, random		sing_406.htm#IDX233	
-system, reserve		sing_406.htm#IDX235	
-system, reservedLink		sing_406.htm#IDX236	
-system, semaphore		sing_406.htm#IDX238	
-system, semic		sing_406.htm#IDX239	
-system, setenv		sing_406.htm#IDX241	
-system, sh		sing_406.htm#IDX243	
-system, shrinktest		sing_406.htm#IDX244	
-system, spadd		sing_406.htm#IDX249	
-system, spectrum		sing_406.htm#IDX250	
-system, spmul		sing_406.htm#IDX251	
-system, std_syz		sing_406.htm#IDX252	
-system, stest		sing_406.htm#IDX253	
-system, tensorModuleMult		sing_406.htm#IDX254	
-system, twostd		sing_406.htm#IDX255	
-system, uname		sing_406.htm#IDX258	
-system, version		sing_406.htm#IDX261	
-system, with		sing_406.htm#IDX262	
-systemOfParametersOfLocalization	systemOfParametersOfLocalization	sing_2286.htm#SEC2362	
+system, --		sing_406.htm#IDX271	
+system, --long_option_name		sing_406.htm#IDX274	
+system, --long_option_name=value		sing_406.htm#IDX276	
+system, HC		sing_406.htm#IDX214	
+system, LLL		sing_406.htm#IDX218	
+system, Singular		sing_406.htm#IDX252	
+system, SingularLib		sing_406.htm#IDX254	
+system, absFact		sing_406.htm#IDX189	
+system, blackbox		sing_406.htm#IDX190	
+system, bracket		sing_406.htm#IDX195	
+system, browsers		sing_406.htm#IDX194	
+system, btest		sing_406.htm#IDX197	
+system, complexNearZero		sing_406.htm#IDX198	
+system, contributors		sing_406.htm#IDX200	
+system, cpu		sing_406.htm#IDX202	
+system, cpu 		sing_406.htm#IDX270	
+system, denom_list		sing_406.htm#IDX204	
+system, eigenvals		sing_406.htm#IDX205	
+system, env		sing_406.htm#IDX206	
+system, executable		sing_406.htm#IDX208	
+system, freegb		sing_406.htm#IDX209	
+system, getPrecDigits		sing_406.htm#IDX212	
+system, getenv		sing_406.htm#IDX211	
+system, gmsnf		sing_406.htm#IDX213	
+system, hessenberg		sing_406.htm#IDX215	
+system, install		sing_406.htm#IDX217	
+system, nblocks		sing_406.htm#IDX221	
+system, newstruct		sing_406.htm#IDX222	
+system, opp		sing_406.htm#IDX223	
+system, oppose		sing_406.htm#IDX226	
+system, pcvBasis		sing_406.htm#IDX235	
+system, pcvCV2P		sing_406.htm#IDX233	
+system, pcvDim		sing_406.htm#IDX234	
+system, pcvLAddL		sing_406.htm#IDX229	
+system, pcvMinDeg		sing_406.htm#IDX231	
+system, pcvP2CV		sing_406.htm#IDX232	
+system, pcvPMulL		sing_406.htm#IDX230	
+system, pid		sing_406.htm#IDX237	
+system, random		sing_406.htm#IDX239	
+system, reserve		sing_406.htm#IDX241	
+system, reservedLink		sing_406.htm#IDX242	
+system, semaphore		sing_406.htm#IDX244	
+system, semic		sing_406.htm#IDX245	
+system, setenv		sing_406.htm#IDX247	
+system, sh		sing_406.htm#IDX249	
+system, shrinktest		sing_406.htm#IDX250	
+system, spadd		sing_406.htm#IDX255	
+system, spectrum		sing_406.htm#IDX256	
+system, spmul		sing_406.htm#IDX257	
+system, std_syz		sing_406.htm#IDX258	
+system, stest		sing_406.htm#IDX259	
+system, tensorModuleMult		sing_406.htm#IDX260	
+system, twostd		sing_406.htm#IDX261	
+system, uname		sing_406.htm#IDX264	
+system, version		sing_406.htm#IDX267	
+system, with		sing_406.htm#IDX268	
+systemOfParametersOfLocalization	systemOfParametersOfLocalization	sing_2289.htm#SEC2365	
 syz		sing_407.htm#SEC447	
-syz (plural)		sing_530.htm#SEC570	
-syzygy		sing_1055.htm#IDX441	
-tDetropicalise		sing_2093.htm#SEC2169	
-tInitialForm		sing_2077.htm#SEC2153	
-tInitialFormPar		sing_2089.htm#SEC2165	
-tInitialFormParMax		sing_2090.htm#SEC2166	
-tInitialIdeal		sing_2078.htm#SEC2154	
-tab		sing_978.htm#SEC1054	
-tail		sing_1989.htm#SEC2065	
-tame polynomial		sing_1584.htm#IDX656	
-tame polynomial 		sing_1585.htm#IDX666	
-tame polynomial  		sing_1586.htm#IDX667	
-tangentGens		sing_1400.htm#SEC1476	
-tangentcone		sing_1649.htm#SEC1725	
-task		sing_1063.htm#IDX444	
-tasks.lib		sing_1063.htm#SEC1139	
-tasks_lib		sing_1063.htm#SEC1139	
-tau_es		sing_1557.htm#SEC1633	
-tau_es2		sing_1511.htm#SEC1587	
-tdCf		sing_2209.htm#SEC2285	
-tdFactor		sing_2211.htm#SEC2287	
-tdProj		sing_2214.htm#SEC2290	
-tdTerms		sing_2210.htm#SEC2286	
-teachstd.lib		sing_1987.htm#SEC2063	
-teachstd_lib		sing_1987.htm#SEC2063	
+syz (plural)		sing_531.htm#SEC571	
+syzygy		sing_1058.htm#IDX448	
+tDetropicalise		sing_2096.htm#SEC2172	
+tInitialForm		sing_2080.htm#SEC2156	
+tInitialFormPar		sing_2092.htm#SEC2168	
+tInitialFormParMax		sing_2093.htm#SEC2169	
+tInitialIdeal		sing_2081.htm#SEC2157	
+tab		sing_980.htm#SEC1056	
+tail		sing_1992.htm#SEC2068	
+tame polynomial		sing_1587.htm#IDX663	
+tame polynomial 		sing_1588.htm#IDX673	
+tame polynomial  		sing_1589.htm#IDX674	
+tangentGens		sing_1403.htm#SEC1479	
+tangentcone		sing_1652.htm#SEC1728	
+task		sing_1066.htm#IDX451	
+tasks.lib		sing_1066.htm#SEC1142	
+tasks_lib		sing_1066.htm#SEC1142	
+tau_es		sing_1560.htm#SEC1636	
+tau_es2		sing_1514.htm#SEC1590	
+tdCf		sing_2212.htm#SEC2288	
+tdFactor		sing_2214.htm#SEC2290	
+tdProj		sing_2217.htm#SEC2293	
+tdTerms		sing_2213.htm#SEC2289	
+teachstd.lib		sing_1990.htm#SEC2066	
+teachstd_lib		sing_1990.htm#SEC2066	
 template.lib		sing_55.htm#IDX120	
 template.lib 		sing_55.htm#IDX123	
 template_lib		sing_55.htm#SEC92	
 template_lib 		sing_55.htm#IDX121	
-tensor		sing_546.htm#IDX299	
-tensor 		sing_1092.htm#SEC1168	
-tensorMod		sing_1211.htm#SEC1287	
-term orderings	General definitions for orderings	sing_892.htm#SEC944	
-term orderings introduction	Introduction to orderings	sing_891.htm#SEC943	
-testNCfac		sing_743.htm#SEC795	
-testParametrization		sing_1415.htm#SEC1491	
-testPointConic		sing_1416.htm#SEC1492	
-testPrimary		sing_1328.htm#SEC1404	
-testPrimaryE		sing_1329.htm#SEC1405	
-tex		sing_1802.htm#SEC1878	
-texDrawBasic		sing_2084.htm#SEC2160	
-texDrawNewtonSubdivision	texDrawNewtonSubdivision	sing_2086.htm#SEC2162	
-texDrawTriangulation	texDrawTriangulation	sing_2087.htm#SEC2163	
-texDrawTropical		sing_2085.htm#SEC2161	
-texMatrix		sing_2083.htm#SEC2159	
-texNumber		sing_2081.htm#SEC2157	
-texPolynomial		sing_2082.htm#SEC2158	
-texcoef		sing_1883.htm#SEC1959	
-texdemo		sing_1803.htm#SEC1879	
-texfactorize		sing_1804.htm#SEC1880	
-texmap		sing_1805.htm#SEC1881	
-texname		sing_1806.htm#SEC1882	
-texobj		sing_1807.htm#SEC1883	
-texpoly		sing_1808.htm#SEC1884	
-texproc		sing_1809.htm#SEC1885	
-texring		sing_1810.htm#SEC1886	
-the first alternative algorithm		sing_1188.htm#IDX479	
-three_elements		sing_1973.htm#SEC2049	
-timeFactorize		sing_953.htm#SEC1029	
-timeStd		sing_952.htm#SEC1028	
+tensor		sing_547.htm#IDX305	
+tensor 		sing_1095.htm#SEC1171	
+tensorMod		sing_1214.htm#SEC1290	
+term orderings	General definitions for orderings	sing_894.htm#SEC946	
+term orderings introduction	Introduction to orderings	sing_893.htm#SEC945	
+testNCfac		sing_745.htm#SEC797	
+testParametrization		sing_1418.htm#SEC1494	
+testPointConic		sing_1419.htm#SEC1495	
+testPrimary		sing_1331.htm#SEC1407	
+testPrimaryE		sing_1332.htm#SEC1408	
+tex		sing_1805.htm#SEC1881	
+texDrawBasic		sing_2087.htm#SEC2163	
+texDrawNewtonSubdivision	texDrawNewtonSubdivision	sing_2089.htm#SEC2165	
+texDrawTriangulation	texDrawTriangulation	sing_2090.htm#SEC2166	
+texDrawTropical		sing_2088.htm#SEC2164	
+texMatrix		sing_2086.htm#SEC2162	
+texNumber		sing_2084.htm#SEC2160	
+texPolynomial		sing_2085.htm#SEC2161	
+texcoef		sing_1886.htm#SEC1962	
+texdemo		sing_1806.htm#SEC1882	
+texfactorize		sing_1807.htm#SEC1883	
+texmap		sing_1808.htm#SEC1884	
+texname		sing_1809.htm#SEC1885	
+texobj		sing_1810.htm#SEC1886	
+texpoly		sing_1811.htm#SEC1887	
+texproc		sing_1812.htm#SEC1888	
+texring		sing_1813.htm#SEC1889	
+the first alternative algorithm		sing_1191.htm#IDX486	
+three_elements		sing_1976.htm#SEC2052	
+timeFactorize		sing_955.htm#SEC1031	
+timeStd		sing_954.htm#SEC1030	
 timer		sing_450.htm#SEC490	
-timer resolution, setting the		sing_406.htm#IDX271	
-timestep		sing_2275.htm#SEC2351	
-tjurina		sing_1645.htm#SEC1721	
-tmatrix		sing_1572.htm#SEC1648	
-todd		sing_2206.htm#SEC2282	
-toddE		sing_2207.htm#SEC2283	
-toddPoly		sing_2220.htm#SEC2296	
-tolessvars		sing_1748.htm#SEC1824	
-topological invariants		sing_1499.htm#IDX558	
-topological invariants 		sing_1506.htm#IDX565	
-topological invariants  		sing_1507.htm#IDX569	
-topological invariants   		sing_1508.htm#IDX573	
-topological invariants    		sing_1509.htm#IDX577	
-toric geometry		sing_2461.htm#SEC2537	
-toric ideals		sing_906.htm#SEC963	
-toric ring		sing_1287.htm#IDX508	
-toric.lib		sing_1377.htm#SEC1453	
-toric_ideal		sing_1378.htm#SEC1454	
-toric_lib		sing_1377.htm#SEC1453	
-toric_std		sing_1379.htm#SEC1455	
-torusInvariants		sing_1293.htm#SEC1369	911
-total divisors		sing_546.htm#IDX296	
-total multiplicities		sing_1499.htm#IDX561	
-totalmultiplicities		sing_1501.htm#SEC1577	
+timer resolution, setting the		sing_406.htm#IDX277	
+timestep		sing_2278.htm#SEC2354	
+tjurina		sing_1648.htm#SEC1724	
+tmatrix		sing_1575.htm#SEC1651	
+todd		sing_2209.htm#SEC2285	
+toddE		sing_2210.htm#SEC2286	
+toddPoly		sing_2223.htm#SEC2299	
+tolessvars		sing_1751.htm#SEC1827	
+topological invariants		sing_1502.htm#IDX565	
+topological invariants 		sing_1509.htm#IDX572	
+topological invariants  		sing_1510.htm#IDX576	
+topological invariants   		sing_1511.htm#IDX580	
+topological invariants    		sing_1512.htm#IDX584	
+toric geometry		sing_2466.htm#SEC2542	
+toric ideals		sing_908.htm#SEC965	
+toric ring		sing_1290.htm#IDX515	
+toric.lib		sing_1380.htm#SEC1456	
+toric_ideal		sing_1381.htm#SEC1457	
+toric_lib		sing_1380.htm#SEC1456	
+toric_std		sing_1382.htm#SEC1458	
+torusInvariants		sing_1296.htm#SEC1372	911
+total divisors		sing_547.htm#IDX302	
+total multiplicities		sing_1502.htm#IDX568	
+totalmultiplicities		sing_1504.htm#SEC1580	
 trace		sing_408.htm#SEC448	
-tracemult		sing_2014.htm#SEC2090	
+tracemult		sing_2017.htm#SEC2093	
 transpose		sing_409.htm#SEC449	
-trapezoid		sing_2269.htm#SEC2345	
-triMNewton		sing_1774.htm#SEC1850	
-triagmatrix		sing_1019.htm#SEC1095	
-triang.lib		sing_1767.htm#SEC1843	
-triangL		sing_1768.htm#SEC1844	
-triangL_solve		sing_1765.htm#SEC1841	
-triangLf_solve		sing_1763.htm#SEC1839	
-triangLfak		sing_1769.htm#SEC1845	
-triangM		sing_1770.htm#SEC1846	
-triangMH		sing_1771.htm#SEC1847	
-triangM_solve		sing_1764.htm#SEC1840	
-triang_lib		sing_1767.htm#SEC1843	
-triang_solve		sing_1766.htm#SEC1842	
-triangulations		sing_2047.htm#SEC2123	
-tropical curves		sing_2063.htm#IDX739	
-tropical geometry		sing_1174.htm#IDX455	
-tropical mirror symmetry		sing_1174.htm#IDX457	
-tropical polynomials		sing_2063.htm#IDX740	
-tropical.lib		sing_2063.htm#IDX737	
-tropicalCurve		sing_2068.htm#SEC2144	
-tropicalJInvariant		sing_2071.htm#SEC2147	
-tropicalLifting		sing_2064.htm#SEC2140	
-tropicalSubst		sing_2096.htm#SEC2172	
-tropicalVariety		sing_2420.htm#SEC2496	
-tropical_lib		sing_2063.htm#IDX738	
-tropicalise		sing_2075.htm#SEC2151	
-tropicaliseSet		sing_2076.htm#SEC2152	
-truncate		sing_1481.htm#SEC1557	13545
-truncateFast		sing_1482.htm#SEC1558	5124
-truncated module		sing_1481.htm#IDX549	
-truncated module 		sing_1482.htm#IDX550	
-tst_ncfactor		sing_751.htm#SEC803	
-twalk		sing_1187.htm#SEC1263	
-two-sided		sing_546.htm#IDX297	
-two-sided Groebner basis		sing_546.htm#IDX298	
-twostd		sing_406.htm#IDX256	
-twostd 		sing_531.htm#SEC571	
+trapezoid		sing_2272.htm#SEC2348	
+triMNewton		sing_1777.htm#SEC1853	
+triagmatrix		sing_1021.htm#SEC1097	
+triang.lib		sing_1770.htm#SEC1846	
+triangL		sing_1771.htm#SEC1847	
+triangL_solve		sing_1768.htm#SEC1844	
+triangLf_solve		sing_1766.htm#SEC1842	
+triangLfak		sing_1772.htm#SEC1848	
+triangM		sing_1773.htm#SEC1849	
+triangMH		sing_1774.htm#SEC1850	
+triangM_solve		sing_1767.htm#SEC1843	
+triang_lib		sing_1770.htm#SEC1846	
+triang_solve		sing_1769.htm#SEC1845	
+triangulations		sing_2050.htm#SEC2126	
+tropical curves		sing_2066.htm#IDX746	
+tropical geometry		sing_1177.htm#IDX462	
+tropical mirror symmetry		sing_1177.htm#IDX464	
+tropical polynomials		sing_2066.htm#IDX747	
+tropical.lib		sing_2066.htm#IDX744	
+tropicalCurve		sing_2071.htm#SEC2147	
+tropicalJInvariant		sing_2074.htm#SEC2150	
+tropicalLifting		sing_2067.htm#SEC2143	
+tropicalSubst		sing_2099.htm#SEC2175	
+tropicalVariety		sing_2425.htm#SEC2501	
+tropical_lib		sing_2066.htm#IDX745	
+tropicalise		sing_2078.htm#SEC2154	
+tropicaliseSet		sing_2079.htm#SEC2155	
+truncate		sing_1484.htm#SEC1560	13545
+truncateFast		sing_1485.htm#SEC1561	5124
+truncated module		sing_1484.htm#IDX556	
+truncated module 		sing_1485.htm#IDX557	
+tst_ncfactor		sing_753.htm#SEC805	
+twalk		sing_1190.htm#SEC1266	
+two-sided		sing_547.htm#IDX303	
+two-sided Groebner basis		sing_547.htm#IDX304	
+twostd		sing_406.htm#IDX262	
+twostd 		sing_532.htm#SEC572	
 type		sing_410.htm#SEC450	
-type B		sing_2149.htm#IDX817	
-type D		sing_2150.htm#IDX819	
+type B		sing_2152.htm#IDX824	
+type D		sing_2153.htm#IDX826	
 type,custom	Definition of a user defined type	sing_178.htm#SEC218	
-type2arr		sing_2127.htm#SEC2203	
-typecasting		sing_2127.htm#IDX773	
-typecasting 		sing_2128.htm#IDX775	
-typecasting  		sing_2129.htm#IDX778	
+type2arr		sing_2130.htm#SEC2206	
+typecasting		sing_2130.htm#IDX780	
+typecasting 		sing_2131.htm#IDX782	
+typecasting  		sing_2132.htm#IDX785	
 typeof		sing_411.htm#SEC451	
-u		sing_2261.htm#SEC2337	
-uname		sing_406.htm#IDX257	
-unbounded_knapsack		sing_1956.htm#SEC2032	
-unipotent groups		sing_1399.htm#IDX517	
+u		sing_2264.htm#SEC2340	
+uname		sing_406.htm#IDX263	
+unbounded_knapsack		sing_1959.htm#SEC2035	
+unipotent groups		sing_1402.htm#IDX524	
 uniquePoint		sing_220.htm#SEC260	
-unitmat		sing_1093.htm#SEC1169	
+unitmat		sing_1096.htm#SEC1172	
 univariate		sing_412.htm#SEC452	
-univarpoly		sing_2021.htm#SEC2097	
-unknown syndrome	Decoding method based on quadratic equations	sing_922.htm#SEC993	
+univarpoly		sing_2024.htm#SEC2100	
+unknown syndrome	Decoding method based on quadratic equations	sing_924.htm#SEC995	
 unset		sing_325.htm#SEC365	
 untyped definitions		sing_83.htm#SEC123	
-untyped definitions 		sing_471.htm#SEC511	
-updatePairs		sing_1999.htm#SEC2075	
-ures_solve		sing_1757.htm#SEC1833	
+untyped definitions 		sing_472.htm#SEC512	
+updatePairs		sing_2002.htm#SEC2078	
+ures_solve		sing_1760.htm#SEC1836	
 uressolve		sing_413.htm#SEC453	
-usage, option		sing_364.htm#IDX180	
+usage, option		sing_364.htm#IDX185	
 user interface, Emacs	Emacs user interface	sing_21.htm#SEC28	
-valvars		sing_1752.htm#SEC1828	
+valvars		sing_1755.htm#SEC1831	
 vandermonde		sing_414.htm#SEC454	
-vanishId		sing_1853.htm#SEC1929	
+vanishId		sing_1856.htm#SEC1932	
 var		sing_415.htm#SEC455	
-varMat		sing_2131.htm#SEC2207	
-varNum		sing_2132.htm#SEC2208	
+varMat		sing_2134.htm#SEC2210	
+varNum		sing_2135.htm#SEC2211	
 variables		sing_416.htm#SEC456	
-variables 		sing_2131.htm#IDX785	
-variables  		sing_2132.htm#IDX787	
-variables   		sing_2133.htm#IDX791	
-variables    		sing_2134.htm#IDX793	
-variablesSorted		sing_584.htm#SEC636	
-variablesStandard		sing_583.htm#SEC635	
-vars2pars		sing_830.htm#SEC882	
-varsigns		sing_2026.htm#SEC2102	
+variables 		sing_2134.htm#IDX792	
+variables  		sing_2135.htm#IDX794	
+variables   		sing_2136.htm#IDX798	
+variables    		sing_2137.htm#IDX800	
+variablesSorted		sing_585.htm#SEC637	
+variablesStandard		sing_584.htm#SEC636	
+vars2pars		sing_832.htm#SEC884	
+varsigns		sing_2029.htm#SEC2105	
 varstr		sing_417.htm#SEC457	
-vct2str		sing_692.htm#SEC744	
+vct2str		sing_693.htm#SEC745	
 vdim		sing_418.htm#SEC458	
-vdim (plural)		sing_532.htm#SEC572	
-vec2poly		sing_566.htm#SEC618	
+vdim (plural)		sing_533.htm#SEC573	
+vec2poly		sing_567.htm#SEC619	
 vector		sing_172.htm#SEC212	
 vector declarations		sing_173.htm#SEC213	
@@ -3645,69 +3713,69 @@
 vector operations		sing_175.htm#SEC215	
 vector related functions	vector related functions	sing_176.htm#SEC216	
-verify		sing_2017.htm#SEC2093	
-versal		sing_1552.htm#SEC1628	
-version		sing_406.htm#IDX260	
-vertexAdjacencyGraph	vertexAdjacencyGraph	sing_2458.htm#SEC2534	
-vertexEdgeGraph		sing_2459.htm#SEC2535	
+verify		sing_2020.htm#SEC2096	
+versal		sing_1555.htm#SEC1631	
+version		sing_406.htm#IDX266	
+vertexAdjacencyGraph	vertexAdjacencyGraph	sing_2463.htm#SEC2539	
+vertexEdgeGraph		sing_2464.htm#SEC2540	
 vertices		sing_242.htm#SEC282	
-vfilt		sing_1570.htm#SEC1646	
-view		sing_1873.htm#SEC1949	
-visual		sing_2460.htm#SEC2536	
-visualize		sing_2260.htm#SEC2336	
+vfilt		sing_1573.htm#SEC1649	
+view		sing_1876.htm#SEC1952	
+visual		sing_2465.htm#SEC2541	
+visualize		sing_2263.htm#SEC2339	
 voice		sing_453.htm#SEC493	
-vwfilt		sing_1571.htm#SEC1647	
-wUnit		sing_1911.htm#SEC1987	
-waitAllTasks		sing_1072.htm#SEC1148	
-waitTasks		sing_1071.htm#SEC1147	
+vwfilt		sing_1574.htm#SEC1650	
+wUnit		sing_1914.htm#SEC1990	
+waitAllTasks		sing_1075.htm#SEC1151	
+waitTasks		sing_1074.htm#SEC1150	
 waitall		sing_419.htm#SEC459	
 waitfirst		sing_420.htm#SEC460	
-warkedPreimageStd		sing_2288.htm#SEC2364	
+warkedPreimageStd		sing_2291.htm#SEC2367	
 warn, option		sing_70.htm#SEC110	
-warn, option 		sing_364.htm#IDX146	
-watchdog		sing_950.htm#SEC1026	
+warn, option 		sing_364.htm#IDX151	
+watchdog		sing_952.htm#SEC1028	
 wedge		sing_421.htm#SEC461	
-weierstr.lib		sing_2002.htm#SEC2078	
-weierstrDiv		sing_2003.htm#SEC2079	
-weierstrPrep		sing_2004.htm#SEC2080	
-weierstr_lib		sing_2002.htm#SEC2078	
-weierstrassForm		sing_2072.htm#SEC2148	
+weierstr.lib		sing_2005.htm#SEC2081	
+weierstrDiv		sing_2006.htm#SEC2082	
+weierstrPrep		sing_2007.htm#SEC2083	
+weierstr_lib		sing_2005.htm#SEC2081	
+weierstrassForm		sing_2075.htm#SEC2151	
 weight		sing_422.htm#SEC462	
-weight filtration		sing_1562.htm#IDX589	
-weight filtration 		sing_1569.htm#IDX623	
-weight filtration  		sing_1571.htm#IDX637	
-weight filtration   		sing_1572.htm#IDX645	
-weight filtration    		sing_1584.htm#IDX661	
-weight filtration     		sing_1586.htm#IDX672	
+weight filtration		sing_1565.htm#IDX596	
+weight filtration 		sing_1572.htm#IDX630	
+weight filtration  		sing_1574.htm#IDX644	
+weight filtration   		sing_1575.htm#IDX652	
+weight filtration    		sing_1587.htm#IDX668	
+weight filtration     		sing_1589.htm#IDX679	
 weightKB		sing_423.htm#SEC463	
-weightM, option		sing_364.htm#IDX165	
-weighted lexicographical ordering		sing_893.htm#IDX387	
-weighted reverse lexicographical ordering	Global orderings	sing_893.htm#IDX385	
-weightedRing		sing_762.htm#SEC814	
-whichvariable		sing_2025.htm#SEC2101	
+weightM, option		sing_364.htm#IDX170	
+weighted lexicographical ordering		sing_895.htm#IDX393	
+weighted reverse lexicographical ordering	Global orderings	sing_895.htm#IDX391	
+weightedRing		sing_764.htm#SEC816	
+whichvariable		sing_2028.htm#SEC2104	
 while		sing_440.htm#SEC480	
-withDim		sing_261.htm#IDX140	
-withHilb		sing_261.htm#IDX138	
-withMult		sing_261.htm#IDX141	
-withRes		sing_261.htm#IDX139	
-withSB		sing_261.htm#IDX137	
-wp, global ordering		sing_893.htm#IDX386	
+withDim		sing_261.htm#IDX145	
+withHilb		sing_261.htm#IDX143	
+withMult		sing_261.htm#IDX146	
+withRes		sing_261.htm#IDX144	
+withSB		sing_261.htm#IDX142	
+wp, global ordering		sing_895.htm#IDX392	
 write		sing_424.htm#SEC464	
-writeNmzData		sing_1304.htm#SEC1380	38467
-writeNmzPaths		sing_1308.htm#SEC1384	sprintf
-ws, local ordering		sing_894.htm#IDX397	
-wurzel		sing_1893.htm#SEC1969	
-xchange		sing_1887.htm#SEC1963	
-xdvi		sing_1812.htm#SEC1888	
-zdd		sing_2105.htm#IDX751	
-zdd2poly		sing_2122.htm#SEC2198	55047
-zero-dimensional		sing_2022.htm#IDX728	
-zeroMod		sing_1245.htm#SEC1321	
-zeroOpt		sing_1254.htm#SEC1330	
-zeroRadical		sing_1156.htm#SEC1232	
-zeroSet		sing_1780.htm#SEC1856	
-zerodec		sing_1337.htm#SEC1413	
-zeroset.lib		sing_1775.htm#SEC1851	
-zeroset_lib		sing_1775.htm#SEC1851	
-zetaDL		sing_1474.htm#SEC1550	
+writeNmzData		sing_1307.htm#SEC1383	38467
+writeNmzPaths		sing_1311.htm#SEC1387	sprintf
+ws, local ordering		sing_896.htm#IDX403	
+wurzel		sing_1896.htm#SEC1972	
+xchange		sing_1890.htm#SEC1966	
+xdvi		sing_1815.htm#SEC1891	
+zdd		sing_2108.htm#IDX758	
+zdd2poly		sing_2125.htm#SEC2201	55047
+zero-dimensional		sing_2025.htm#IDX735	
+zeroMod		sing_1248.htm#SEC1324	
+zeroOpt		sing_1257.htm#SEC1333	
+zeroRadical		sing_1159.htm#SEC1235	
+zeroSet		sing_1783.htm#SEC1859	
+zerodec		sing_1340.htm#SEC1416	
+zeroset.lib		sing_1778.htm#SEC1854	
+zeroset_lib		sing_1778.htm#SEC1854	
+zetaDL		sing_1477.htm#SEC1553	
 {		sing_36.htm#IDX78	
 ||		sing_36.htm#IDX103	
